Bug 680504 - Can not delete reverse DNS record - interactive CLI mode
Summary: Can not delete reverse DNS record - interactive CLI mode
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: 6.1
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-25 18:20 UTC by Jenny Severance
Modified: 2015-01-04 23:46 UTC (History)
6 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: DNS forward and reverse entries are stored discretely. Removing one does not remove the other unless specifically requested and it was unclear how one would do that. Consequence: The user would not know how to proceed to remove the required entries in order to re-add a host. Fix: A new interactive mode was added to the CLI to walk the user through removing the required entries. Result: It is now more straightforward and understandable to remove all DNS entries for a host.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:20:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Jenny Severance 2011-02-25 18:20:43 UTC
Description of problem:
After install ipa-client and then uninstalling, then deleting the host record.  The forward dns record was removed, but the reverse dns record was not and it can not be deleted manually.  And can not add the host again.

ldap server entry:
<snip>

# 34, 62.16.10.in-addr.arpa., dns, testrelm
dn: idnsname=34,idnsname=62.16.10.in-addr.arpa.,cn=dns,dc=testrelm
objectClass: top
objectClass: idnsrecord
pTRRecord: f14-client.testrelm.
idnsName: 34

</snip>

ipa host-add:

# ipa host-add --ip-address=10.16.62.34 f14-client.testrelm
ipa: ERROR: This IP address is already assigned.

ipa dnsrecord-del:
# ipa host-add --ip-address=10.16.62.34 f14-client.testrelm
ipa: ERROR: This IP address is already assigned.
[root@f14-server ~]# ipa dnsrecord-del
Zone name: 62.16.10.in-addr.arpa.
Record name: 34
ipa: ERROR: Neither --del-all nor options to delete a specific record provided.


Version-Release number of selected component (if applicable):
freeipa-server-2.0-0.20110222T1825Zgit397da3f.fc14.x86_64
freeipa-admintools-2.0-0.20110222T1825Zgit397da3f.fc14.x86_64

How reproducible:


Steps to Reproduce:
1. see description
2.
3.
  
Actual results:


Expected results:


Additional info:

The errror message:
"ipa: ERROR: Neither --del-all nor options to delete a specific record provided."  is incorrect and not helpful.

Comment 1 Simo Sorce 2011-02-25 18:46:34 UTC
Please use the --del-all switch as ipa asks you to.

Comment 2 Jenny Severance 2011-02-25 19:21:40 UTC
reopening bug as interactive mode does not use --del-all ... or prompt for record type,  maybe it should assume --del-all ?

Comment 3 Simo Sorce 2011-02-25 19:53:27 UTC
I guess it should either prompt to ask if you really want to delete all, or prompt to ask for the record type to delete.

Comment 4 Simo Sorce 2011-02-25 19:54:05 UTC
(In reply to comment #3)
> I guess it should either prompt to ask if you really want to delete all, or
> prompt to ask for the record type to delete.

By this I mean it could present a list of records and "all" would be an option.

HTH

Comment 5 Dmitri Pal 2011-02-26 00:56:33 UTC
https://fedorahosted.org/freeipa/ticket/1018

Comment 8 Martin Kosek 2011-06-02 07:06:48 UTC
Upstream commit:
master: 585083c1d7a0069579d45b17adb39ad8f522c3f6

Comment 10 Jenny Severance 2011-10-05 16:45:47 UTC
Verified

# ipa dnsrecord-del
Zone name: 64.16.10.in-addr.arpa.
Record name: 99
No option to delete specific record provided.
Delete all? Yes/No (default No): Yes
-------------------
Deleted record "99"
-------------------

ipa-server-2.1.1-4.el6.x86_64

Comment 11 Rob Crittenden 2011-10-31 15:27:52 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: DNS forward and reverse entries are stored discretely. Removing one does not remove the other unless specifically requested and it was unclear how one would do that.
Consequence: The user would not know how to proceed to remove the required entries in order to re-add a host.
Fix: A new interactive mode was added to the CLI to walk the user through removing the required entries.
Result: It is now more straightforward and understandable to remove all DNS entries for a host.

Comment 12 errata-xmlrpc 2011-12-06 18:20:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.